Update Conversation
Update the conversation details based on the conversation ID
PUT
/
conversations
/
{conversationId}
Update Conversation
curl --request PUT \
--url https://services.leadconnectorhq.com/conversations/{conversationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"unreadCount": 1,
"starred": true,
"feedback": {}
}
'const options = {
method: 'PUT',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 'tDtDnQdgm2LXpyiqYvZ6',
unreadCount: 1,
starred: true,
feedback: {}
})
};
fetch('https://services.leadconnectorhq.com/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations/{conversationId}"
payload = {
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"unreadCount": 1,
"starred": True,
"feedback": {}
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"success": true,
"conversation": {
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"contactId": "tDtDnQdgm2LXpyiqYvZ6",
"deleted": false,
"id": "tDtDnQdgm2LXpyiqYvZ6",
"assignedTo": "tDtDnQdgm2LXpyiqYvZ6",
"userId": "tDtDnQdgm2LXpyiqYvZ6",
"lastMessageBody": "Hello, this is the message body",
"lastMessageDate": "1628008053263",
"lastMessageType": "TYPE_CALL",
"unreadCount": 1,
"inbox": true,
"starred": true
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Authorizations
Body
application/json
Last modified on March 8, 2026
Was this page helpful?
Update Conversation
curl --request PUT \
--url https://services.leadconnectorhq.com/conversations/{conversationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"unreadCount": 1,
"starred": true,
"feedback": {}
}
'const options = {
method: 'PUT',
headers: {
Version: '<version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
locationId: 'tDtDnQdgm2LXpyiqYvZ6',
unreadCount: 1,
starred: true,
feedback: {}
})
};
fetch('https://services.leadconnectorhq.com/conversations/{conversationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/conversations/{conversationId}"
payload = {
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"unreadCount": 1,
"starred": True,
"feedback": {}
}
headers = {
"Version": "<version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"success": true,
"conversation": {
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"contactId": "tDtDnQdgm2LXpyiqYvZ6",
"deleted": false,
"id": "tDtDnQdgm2LXpyiqYvZ6",
"assignedTo": "tDtDnQdgm2LXpyiqYvZ6",
"userId": "tDtDnQdgm2LXpyiqYvZ6",
"lastMessageBody": "Hello, this is the message body",
"lastMessageDate": "1628008053263",
"lastMessageType": "TYPE_CALL",
"unreadCount": 1,
"inbox": true,
"starred": true
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}